Rated 1 out of 5 stars

When trying to update my extras on my garmin, I get this message about the cruddy garmin plug in "To continue, you must update your Garmin Communicator Plugin from version 4.1.0.0 to version 4.2.0.0." Update your plugin you lazy mofos...wow.